Draft: Raccordo

From FreeCAD Documentation
Revision as of 20:47, 8 September 2019 by Renatorivo (talk | contribs) (Created page with "===Creazione alternativa di raccordi e smussi===")


Raccordo

Posizione nel menu
Draft → Raccordo
Ambiente
Draft
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Linea, Polilinea

Descrizione

Lo strumento Raccordo crea un raccordo, un angolo arrotondato, tra due semplici Linee. In alternativa, può creare uno smusso, un bordo dritto, tra queste due linee.

Diversi filetti e smussi creati tra due linee

Utilizzo

  1. Selezionare due linee già inserite nel documento e che si incontrano in un punto.
  2. Premere il pulsante Raccordo.
  3. Scegliere il raggio del raccordo, quindi premere Invio.

Note:

  • Se il raggio è troppo grande in modo che l'arco prodotto non sia tangente a una delle linee, l'operazione non avrà un esito positivo.
  • Al momento sono supportate solo singole linee; le polilinee, ovvero linee con più punti, potrebbero non produrre il risultato desiderato.

Creazione alternativa di raccordi e smussi

A Draft Wire that has at least three points can also create a fillet or a chamfer.

  1. Select two Draft Lines already placed on the document, and which meet at one point.
  2. Press the Draft Wire button. This will fuse the two lines into a single Wire object.
  3. In the property editor, enter the desired numerical value for DatiFillet Radius or DatiChamfer Size.

This method works also when joining two different polylines.

Options

  • Check the "Delete original objects" checkbox if you want to delete the two original lines, and leave only the new fillet object.
  • Check the "Create chamfer" checkbox if you want to create a straight edge, instead of a rounded edge, between the two lines.
  • Press Esc or the Close button to abort the current command.

Properties

A Fillet object shares most properties from a Draft Wire, however, only some of these properties are applicable to the Fillet.

Data

  • DatiStart: (read-only) specifies the start point.
  • DatiEnd: (read-only) specifies the end point.
  • DatiLength: (read-only) specifies the length of the entire segment.
  • DatiFillet Radius: (read-only) radius with which the fillet was created.

View

  • VistaEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • VistaArrow Size: specifies the size of the symbol displayed at the end of the line.
  • VistaArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", "Tick", or "Tick-2".

Scripting

See also: Draft API and FreeCAD Scripting Basics.


The Fillet tool can be used in macros and from the Python console by using the following function:

Fillet = makeFillet([line1, line2], radius=100, chamfer=False, delete=False)


  • Creates a Fillet object between lines line1 and line2, using radius for the curvature.
  • If chamfer is True it will create a straight edge with the length of radius, instead of a rounded edge.
  • If delete is True it will delete the given line1 and line2, and leave only the new object.


Example:

import FreeCAD as App
import Draft
import DraftFillet

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p2, p3)
App.ActiveDocument.recompute()

Fillet = DraftFillet.makeFillet([Line1, Line2], radius=500)